Bug 1155030 - Ray-mpich2 got obsoleted by rhel 6.6 update
Summary: Ray-mpich2 got obsoleted by rhel 6.6 update
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: Ray
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-21 09:40 UTC by Tuomo Soini
Modified: 2020-07-10 14:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
Proposed patch for rhel 6.6 mpich2 -> mpich move (1015 bytes, patch)
2014-11-05 06:45 UTC, Tuomo Soini
no flags Details | Diff

Description Tuomo Soini 2014-10-21 09:40:51 UTC
Description of problem:

mpach2 package got obsoleted on rhel 6.6

package: Ray-mpich2-2.3.1-3.el6.x86_64 from epel
  unresolved deps: 
     mpich2
     libmpichcxx.so.1.2()(64bit)
     libmpich.so.1.2()(64bit)

So Ray needs packaging changes.

Comment 1 Tuomo Soini 2014-11-05 06:45:58 UTC
Created attachment 953928 [details]
Proposed patch for rhel 6.6 mpich2 -> mpich move

Leave mpich2 requirements on epel5.

Obsolete and conflict mpich2 variant on versions where mpich shold be used.

Comment 2 Sébastien Boisvert 2014-11-05 15:23:40 UTC
Thanks.

I applied your patch to branches 'el6' and 'master':

http://pkgs.fedoraproject.org/cgit/Ray.git/commit/?id=d3e163a87a852c83d0e7f74a0642ac6134682cf1

Comment 3 Sébastien Boisvert 2015-03-14 02:29:49 UTC
Can I close this ?

Comment 4 Tuomo Soini 2015-03-14 08:52:27 UTC
You fixed this and then Till Maas retried the package?

Did you build that fixed package?

Comment 5 Sébastien Boisvert 2015-03-14 15:05:32 UTC
I tried to build Ray-2.3.1-5.fc22.src.rpm for rawhide with koji, but I got a linking error.

I created a ticket since this is a different issue than the Ray-mpich2 issue.

https://bugzilla.redhat.com/show_bug.cgi?id=1201963

Comment 6 Tuomo Soini 2015-03-14 18:05:24 UTC
I'm talking about epel6. Ray was droppen from epel6 and I don't see package version with my fix been ever built. If dropping Ray was intentional it's ok for me to close this issue.

Comment 7 Sébastien Boisvert 2015-03-14 21:36:02 UTC
Here is a build with your fix of Ray-2.3.1-6 for build target el6-candidate.

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=9234676

This is a scratch build. I am getting the error "ActionNotAllowed: policy violation (build_from_srpm)" when doing a non-scratch koji build.

Comment 8 Sébastien Boisvert 2015-03-14 21:41:11 UTC
I tried with 'fedpkg build --target el6-candidate' and the system reported this error:

BuildError: package Ray is blocked for tag dist-6E-epel-testing-candidate

http://koji.fedoraproject.org/koji/taskinfo?taskID=9234697

Comment 9 Sébastien Boisvert 2015-03-16 17:18:26 UTC
This commit retired the package:

commit 5a6fbcd95ed30d56349d07d8265c667942aca1c7
Author: Till Maas <opensource@till.name>
Date:   Sat Dec 20 18:37:18 2014 +0100

    2014-12-20: Retired because of broken deps:
    unresolved dependencies for Ray-mpich2-2.3.1-3.el6.i686:
    mpich2
    libmpichcxx.so.1.2
    libmpich.so.1.2

Comment 10 Tuomo Soini 2015-03-16 18:02:22 UTC
Yep. - you had the patch ready and committed but never built for epel6 so the pacakge got removed from epel6. You need to talk to epel6 folks if you want the package back to epel6.

Comment 11 Tuomo Soini 2015-03-16 18:07:23 UTC
I'm not intrested in Ray, I just wanted to help to fix the dependency issue.

Comment 12 Sébastien Boisvert 2015-03-16 18:54:27 UTC
OK thanks.

I opened a ticket to unretire the branch el6:
https://fedorahosted.org/rel-eng/ticket/6133

el6-candidate scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=9245033

Comment 13 Fedora Admin user for bugzilla script actions 2020-07-10 14:51:02 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.


Note You need to log in before you can comment on or make changes to this bug.